rte_mpls_hdr(3)

NAME
rte_mpls_hdr

SYNOPSIS

#include <rte_mpls.h>

  Data Fields

rte_be16_t tag_msb
uint8_t tag_lsb:4
uint8_t tc:3
uint8_t bs:1
uint8_t ttl

Detailed Description

MPLS header.

Definition at line 21 of file rte_mpls.h.

Field Documentation

  rte_be16_t tag_msb
Label(msb).

Definition at line 22 of file rte_mpls.h.

  uint8_t tag_lsb
Label(lsb).

Definition at line 24 of file rte_mpls.h.

  uint8_t tc
Traffic class.

Definition at line 25 of file rte_mpls.h.

  uint8_t bs
Bottom of stack.

Definition at line 26 of file rte_mpls.h.

  uint8_t ttl
Time to live.

Definition at line 32 of file rte_mpls.h.

Author

Generated automatically by Doxygen for DPDK from the source code.